# class Sass::ReadOnlyEnvironment

A read-only wrapper for a lexical environment for SassScript.

### Public Instance Methods

caller() click to toggle source

The read-only environment of the caller of this environment's mixin or function.

@see Sass::BaseEnvironment#caller @return {ReadOnlyEnvironment}

Calls superclass method Sass::BaseEnvironment#caller

    # File lib/sass/environment.rb, line 182
    def caller
      return @caller if @caller
      env = super
      @caller ||= env.is_a?(ReadOnlyEnvironment) ? env : ReadOnlyEnvironment.new(env, env.options)
    end

content() click to toggle source

The read-only content passed to this environment.

@see Sass::BaseEnvironment#content @return {ReadOnlyEnvironment}

Calls superclass method Sass::BaseEnvironment#content

    # File lib/sass/environment.rb, line 192
    def content
      return @content if @content
      env = super
      @content ||= env.is_a?(ReadOnlyEnvironment) ? env : ReadOnlyEnvironment.new(env, env.options)
    end